<?php
/**
 * Spacer.
 *
 * @package MadeByAura\Prime\Customizer\Fields
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Customizer\Fields;

use MadeByAura\Prime\Customizer\Modules\Add;
use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Spacer.
 */
class Spacer {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		add_action( 'after_setup_theme', [ __CLASS__, 'add_section' ] );
	}

	/**
	 * Add section.
	 */
	public static function add_section() {
		$section  = 'spacer';
		$priority = 10;

		// Section.
		Add::section(
			$section,
			[
				'type'     => 'spacer',
				'priority' => 0,
			],
		);

		// Placeholder.
		$id       = 'placeholder';
		$priority = Add::field(
			$section,
			$id,
			$priority,
			[
				'type' => 'hidden',
			],
		);
	}
}
